# Enable stream destination
`PUT https://octopus.livepush.io/streams/{stream_id}/destinations/{destination_id}/enable`
Enables a previously added destination for the specified live stream.

Once enabled, the destination will start receiving the live stream
when the stream is online.
- **Tag:** Destinations
- **Operation ID:** `putStreamsStreamIdDestinationsDestinationIdEnable`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/destinations/enable-stream-destination/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the live stream |
| `destination_id` | string | yes | Unique identifier of the stream destination |


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/<stream_id>/destinations/<destination_id>/enable' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


### Responses


#### 200 — Stream destination enabled successfully

- `success` (boolean)


```json
{
  "success": true
}
```


#### 401 — Unauthorized


#### 404 — Stream or destination not found

